Package com.microblink.blinkid.entities.recognizers.blinkid

# Enum Class DataMatchState

java.lang.Object
java.lang.Enum<DataMatchState>
com.microblink.blinkid.entities.recognizers.blinkid.DataMatchState

All Implemented Interfaces:
  `Serializable`, `Comparable<DataMatchState>`, `Constable`

public enum DataMatchState extends Enum<DataMatchState>
State of the data matching algorithm for scanned parts/sides of the document.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Failed`
  Data does not match.
  `NotPerformed`
  Data matching has not been performed.
  `Success`
  Data match.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DataMatchState`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DataMatchState[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NotPerformed

    public static final DataMatchState NotPerformed
    Data matching has not been performed.

  - ### Failed

    public static final DataMatchState Failed
    Data does not match.

  - ### Success

    public static final DataMatchState Success
    Data match.

- ## Method Details

  - ### values

    public static DataMatchState[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DataMatchState valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null